> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List agents

GET https://astropods.com/api/v1/agents

Returns the public catalog of agents that have at least one published semver version. No authentication required.

Reference: https://docs.astropods.com/api-reference/astro-ai-api/agents/list-agents

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: astro-api
  version: 1.0.0
paths:
  /agents:
    get:
      operationId: list-agents
      summary: List agents
      description: >-
        Returns the public catalog of agents that have at least one published
        semver version. No authentication required.
      tags:
        - subpackage_agents
      responses:
        '200':
          description: List of agents with versions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentsListResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
servers:
  - url: https://astropods.com/api/v1
    description: Astro AI API server
components:
  schemas:
    AgentVersionResponseValidationWarningsItems:
      type: object
      properties: {}
      title: AgentVersionResponseValidationWarningsItems
    AgentVersionResponse:
      type: object
      properties:
        build_id:
          type: string
        version:
          type: string
          description: Semver if published
        spec:
          type: object
          additionalProperties:
            description: Any type
        readme:
          type: string
        published_at:
          type: string
          format: date-time
        validation_warnings:
          type: array
          items:
            $ref: '#/components/schemas/AgentVersionResponseValidationWarningsItems'
      title: AgentVersionResponse
    AgentResponse:
      type: object
      properties:
        account:
          type: string
        name:
          type: string
        registry:
          type: string
        versions:
          type: array
          items:
            $ref: '#/components/schemas/AgentVersionResponse'
      title: AgentResponse
    AgentsListResponse:
      type: object
      properties:
        agents:
          type: array
          items:
            $ref: '#/components/schemas/AgentResponse'
        count:
          type: integer
      title: AgentsListResponse
    Error:
      type: object
      properties:
        error:
          type: string
        details:
          type: string
      title: Error

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "agents": [
    {
      "account": "astro-ai-inc",
      "name": "Weather Predictor",
      "registry": "docker.io/astro-ai/weather-predictor",
      "versions": [
        {
          "build_id": "bld-20240115-0930",
          "version": "1.3.0",
          "spec": {
            "language": "python",
            "framework": "tensorflow",
            "entrypoint": "predict.py",
            "resources": {
              "cpu": "2",
              "memory": "4Gi"
            }
          },
          "readme": "This agent predicts weather patterns using historical data and ML models.",
          "published_at": "2024-01-15T09:30:00Z",
          "validation_warnings": [
            {
              "warning": "Deprecated API usage in spec",
              "field": "spec.framework"
            }
          ]
        }
      ]
    }
  ],
  "count": 1
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/agents"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/agents';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/agents"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/agents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/agents")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/agents', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/agents");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/agents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```